Bug 807868 - [abrt] kernel: BUG: unable to handle kernel NULL pointer dereference at 00000002
[abrt] kernel: BUG: unable to handle kernel NULL pointer dereference at 00000002
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
abrt_hash:237ebf6a93b0b32939e2e73ff3b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-28 20:53 EDT by John Antony
Modified: 2012-08-10 13:38 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-10 13:38:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Antony 2012-03-28 20:53:09 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        BOOT_IMAGE=/vmlinuz-3.4.0-0.rc0.git1.2.fc18.i686 root=UUID=77fbea09-b682-4df1-b0fc-d342b5799bdb KEYTABLE=us SYSFONT=latarcyrheb-sun16 LANG=en_US.UTF-8 ro rd.info nomodset acpi=off
comment:        yum -y update
kernel:         3.4.0-0.rc0.git1.2.fc18.i686
reason:         BUG: unable to handle kernel NULL pointer dereference at 00000002
time:           Thu 29 Mar 2012 06:20:20 AM IST

backtrace:
:BUG: unable to handle kernel NULL pointer dereference at 00000002
:IP: [<c066089b>] filenametr_cmp+0xb/0x40
:*pde = 3c73d067 
:Oops: 0000 [#1] SMP 
:Modules linked in: tcp_lp fuse ipt_MASQUERADE nf_conntrack_netbios_ns nf_conntrack_broadcast ip6table_mangle ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 ip6table_filter ip6_tables iptable_nat nf_nat iptable_mangle nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack be2iscsi iscsi_boot_sysfs bnx2i fcoe 8021q garp cnic libfcoe stp uio llc libfc scsi_transport_fc cxgb4i scsi_tgt cxgb4 cxgb3i cxgb3 mdio libcxgbi ib_iser rdma_cm ib_addr iw_cm ib_cm ib_sa ib_mad ib_core iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi lm85 hwmon_vid snd_intel8x0 snd_ac97_codec ac97_bus snd_pcm snd_page_alloc snd_timer snd 8139too iTCO_wdt soundcore 8139cp iTCO_vendor_support microcode i2c_i801 mii uinput i2c_algo_bit drm_kms_helper drm i2c_core [last unloaded: scsi_wait_scan]
:Pid: 2204, comm: yum Not tainted 3.4.0-0.rc0.git1.2.fc18.i686 #1                  /D865GBF                        
:EIP: 0060:[<c066089b>] EFLAGS: 00010282 CPU: 0
:EIP is at filenametr_cmp+0xb/0x40
:EAX: 000003bf EBX: e54c0a08 ECX: 00000002 EDX: c3295d18
:ESI: f3874750 EDI: c3295d18 EBP: c3295cac ESP: c3295ca8
: DS: 007b ES: 007b FS: 00d8 GS: 00e0 SS: 0068
:Process yum (pid: 2204, ti=c3294000 task=c2db8000 task.ti=c3294000)
:Stack:
: e54c0a08 c3295cc0 c065ec28 00000006 f3f6f0f4 eccfc964 c3295d60 c06653a0
: 00000000 c3295ce0 c049d36b c2db8000 0000027c 00000000 c3295d00 00000246
: 00000bbe 00000246 000003bf c3295d28 00000007 c3295d60 c3295d3c c06503ad
:Call Trace:
: [<c065ec28>] hashtab_search+0x38/0x60
: [<c06653a0>] security_compute_sid+0x3a0/0x4e0
: [<c049d36b>] ? lock_release_holdtime.part.27+0x8b/0xf0
: [<c06503ad>] ? avc_has_perm_noaudit+0x42d/0x500
: [<c0667219>] security_transition_sid+0x39/0x50
: [<c0653402>] may_create.isra.42+0xd2/0x150
: [<c0653502>] selinux_inode_create+0x22/0x30
: [<c064d10e>] security_inode_create+0x1e/0x30
: [<c0572c49>] vfs_create+0x69/0x120
: [<c0575ea5>] do_last+0x555/0x7d0
: [<c0576205>] path_openat+0xa5/0x360
: [<c0478047>] ? sched_clock_cpu+0xe7/0x190
: [<c05718cb>] ? getname_flags+0x2b/0x160
: [<c05765d1>] do_filp_open+0x31/0x80
: [<c09d9f52>] ? _raw_spin_unlock+0x22/0x30
: [<c058348b>] ? alloc_fd+0x13b/0x1d0
: [<c056592d>] do_sys_open+0xdd/0x1a0
: [<c04c5cf6>] ? __audit_syscall_exit+0x356/0x3b0
: [<c0565a22>] sys_open+0x32/0x40
: [<c09da214>] syscall_call+0x7/0xb
: [<c09d0000>] ? print_lock_contention_bug.part.36+0x6a/0xc6
:Code: 55 89 e5 3e 8d 74 26 00 8b 02 2b 01 75 0e 8b 42 04 2b 41 04 75 06 8b 42 08 2b 41 08 5d c3 66 90 55 89 e5 53 3e 8d 74 26 00 8b 02 <2b> 01 75 14 8b 42 04 2b 41 04 75 0c 0f b7 42 08 0f b7 59 08 29 
:EIP: [<c066089b>] filenametr_cmp+0xb/0x40 SS:ESP 0068:c3295ca8
:CR2: 0000000000000002

smolt_data:
:
:
:General
:=================================
:UUID: f6a9afea-0b1d-44ef-ac26-4cbbac5601d8
:OS: Fedora release 18 (Rawhide)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: i686
:BogoMIPS: 5985.21
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Pentium(R) 4 CPU 3.00GHz
:CPU Stepping: 4
:CPU Family: 15
:CPU Model Num: 3
:Number of CPUs: 1
:CPU Speed: 3000
:System Memory: 979
:System Swap: 2745
:Vendor: Unknown
:System:  
:Form factor: Unknown
:Kernel: 3.4.0-0.rc0.git1.2.fc18.i686
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:9590:0:0) pci, None, BASE, 82865G/PE/P Processor to I/O Memory Interface
:(4332:33081:4332:33081) pci, 8139too, ETHERNET, RTL-8139/8139C/8139C+
:(32902:9586:32902:16966) pci, None, VIDEO, Desktop Board D865GBF
:(32902:9425:32902:16966) pci, ata_piix, STORAGE, Desktop Board D865GBF
:(32902:9435:32902:16966) pci, ata_piix, STORAGE, Desktop Board D865GBF
:(32902:9424:0:0) pci, None, PCI/ISA, 82801EB/ER (ICH5/ICH5R) LPC Interface Bridge
:(32902:9429:32902:57345) pci, snd_intel8x0, MULTIMEDIA_AUDIO, Desktop Board D865GBF
:(32902:9427:32902:16966) pci, i801_smbus, SERIAL, Desktop Board D865GBF
:(32902:9294:0:0) pci, None, PCI/PCI, 82801 PCI Bridge
:(32902:9428:32902:16966) pci, uhci_hcd, USB, Desktop Board D865GBF
:(32902:9426:32902:16966) pci, uhci_hcd, USB, Desktop Board D865GBF
:(32902:9584:32902:9584) pci, agpgart-intel, HOST/PCI, 82865G/PE/P DRAM Controller/Host-Hub Interface
:(32902:9431:32902:16966) pci, uhci_hcd, USB, Desktop Board D865GBF
:(32902:9438:32902:16966) pci, uhci_hcd, USB, Desktop Board D865GBF
:(32902:9437:32902:16966) pci, ehci_hcd, USB, Desktop Board D865GBF
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda5 / ext4 4096 4096 5759242 3128460 3070806 1441792 1158080 1158080
:/dev/sda3 /boot ext4 4096 4096 521116 466598 440493 130560 130269 130269
:
Comment 1 Josh Boyer 2012-04-30 17:00:33 EDT
Have you seen this again with a 3.4-rc3 or -rc4 kernel?  Also, have you run memtest86+ on this machine recently?

Note You need to log in before you can comment on or make changes to this bug.